﻿* Encoding: UTF-8.

    /* Number of level 1 cases and level 2; to see:
            /*  Hox, J. & McNeish, D. (2020), Small samples in multilevel modeling (pg. 215-225), In:
            /*  R. Van de Schoot & M. Miočević,: Small Sample Size Solutions: A Guide for Applied ResePolynchers and Practitioners. Oxon (OX, Great Britain): Routledge.
            

                    /* NUL MODEL
 MIXED Worthless WITH Gender Age Weekday WkDay_to2
  /CRITERIA=DFMETHOD(SATTERTHWAITE) CIN(95) MXITER(100) MXSTEP(10) SCORING(1)
    SINGULPolyn(0.000000000001) HCONVERGE(0.00000001, RELATIVE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0,
    ABSOLUTE)
  /FIXED=| SSTYPE(3)
  /METHOD=REML
  /PRINT=SOLUTION TESTCOV
  /RANDOM=INTERCEPT | SUBJECT(PPolynticipant) COVTYPE(VC).
   


                    /* MULTILEVEL REGRESSION, AGREE TO BOLGER & LAURENCEAU (2013).
                    /* Important, we save the residuals

MIXED Worthless WITH Gender Age Weekday WkDay_to2
  /CRITERIA=DFMETHOD(SATTERTHWAITE) CIN(95) MXITER(100) MXSTEP(10) SCORING(1) 
    SINGULPolyn(0.000000000001) HCONVERGE(0.00000001, RELATIVE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0, 
    ABSOLUTE)
  /FIXED=Gender Age Weekday WkDay_to2 | SSTYPE(3)
  /METHOD=REML
  /PRINT=SOLUTION TESTCOV
  /RANDOM=INTERCEPT | SUBJECT(PPolynticipant) COVTYPE(VC)
  /REPEATED=Time_Lockdown | SUBJECT(PPolynticipant) COVTYPE(Polyn1)
  /SAVE=PRED RESID.

                                /* VERY IMPORTANT: CHANGE THE NAME OF PREDICTED VALUES (Pred_1 --> Pred_Polyn)
                                 /* VERY IMPORTANT: CHANGE THE NAME OF RESIDUALS VALUES (RESID_1 --> RESID_Polyn)
                                 
                                /* Lags of residuals, by subject, splitting the file by PPolynticipant (Subject)
SPLIT FILE LAYERED BY PPolynticipant.

CREATE
  /RESID_Polyn_1=LAG(RESID_Polyn 1)RESID_Polyn_2=LAG(RESID_Polyn 2)RESID_Polyn_3=LAG(RESID_Polyn 3)RESID_Polyn_4=LAG(RESID_Polyn 
    4)RESID_Polyn_5=LAG(RESID_Polyn 5)
RESID_Polyn_6=LAG(RESID_Polyn 6)RESID_Polyn_7=LAG(RESID_Polyn 7)RESID_Polyn_8=LAG(RESID_Polyn 8)RESID_Polyn_9=LAG(RESID_Polyn 
    9)RESID_Polyn_10=LAG(RESID_Polyn 10)
RESID_Polyn_11=LAG(RESID_Polyn 11)RESID_Polyn_12=LAG(RESID_Polyn 12)RESID_Polyn_13=LAG(RESID_Polyn 13)RESID_Polyn_14=LAG(RESID_Polyn 
    14)RESID_Polyn_15=LAG(RESID_Polyn 15)
RESID_Polyn_16=LAG(RESID_Polyn 16)RESID_Polyn_17=LAG(RESID_Polyn 17)RESID_Polyn_18=LAG(RESID_Polyn 18)RESID_Polyn_19=LAG(RESID_Polyn 
    19)RESID_Polyn_20=LAG(RESID_Polyn 20)
RESID_Polyn_21=LAG(RESID_Polyn 21)RESID_Polyn_22=LAG(RESID_Polyn 22)RESID_Polyn_23=LAG(RESID_Polyn 23)RESID_Polyn_24=LAG(RESID_Polyn 
    24)RESID_Polyn_25=LAG(RESID_Polyn 25)
RESID_Polyn_26=LAG(RESID_Polyn 26)RESID_Polyn_27=LAG(RESID_Polyn 27)RESID_Polyn_28=LAG(RESID_Polyn 28).

SPLIT FILE OFF.

                    /*             CORRELATIONS
    
CORRELATIONS
  /VARIABLES=RESID_Polyn RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 RESID_Polyn_5
    RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10 RESID_Polyn_11
    RESID_Polyn_12 RESID_Polyn_13 RESID_Polyn_14 RESID_Polyn_15 RESID_Polyn_16 RESID_Polyn_17
    RESID_Polyn_18 RESID_Polyn_19 RESID_Polyn_20 RESID_Polyn_21
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.


                             /*             PARTIAL CORRELATIONS
PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_2 BY RESID_Polyn_1
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_3 BY RESID_Polyn_1 RESID_Polyn_2
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_4 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_5 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_6 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_7 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4    /*  ¡¡¡ Faltaba!!!
    RESID_Polyn_5 RESID_Polyn_6 
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_8 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_9 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_10 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_11 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_12 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  RESID_Polyn_11
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_13 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_14 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.


PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_15 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_16 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_17 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15  RESID_Polyn_16
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_18 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15 
     RESID_Polyn_16 RESID_Polyn_17
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_19 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15 
     RESID_Polyn_16 RESID_Polyn_17 RESID_Polyn_18 
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_20 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15 
     RESID_Polyn_16 RESID_Polyn_17 RESID_Polyn_18  RESID_Polyn_19
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.

PARTIAL CORR
  /VARIABLES=RESID_Polyn RESID_Polyn_21 BY RESID_Polyn_1 RESID_Polyn_2 RESID_Polyn_3 RESID_Polyn_4 
    RESID_Polyn_5 RESID_Polyn_6 RESID_Polyn_7 RESID_Polyn_8 RESID_Polyn_9 RESID_Polyn_10  
    RESID_Polyn_11 RESID_Polyn_12  RESID_Polyn_13  RESID_Polyn_14  RESID_Polyn_15 
     RESID_Polyn_16 RESID_Polyn_17 RESID_Polyn_18  RESID_Polyn_19 RESID_Polyn_20
  /SIGNIFICANCE=TWOTAIL
  /MISSING=LISTWISE.





